Bug 68455 - RFE: add /etc/sysconfig/profile
RFE: add /etc/sysconfig/profile
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: setup (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-10 07:13 EDT by R P Herrold
Modified: 2014-03-16 22:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-23 01:36:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description R P Herrold 2002-07-10 07:13:48 EDT
Description of Problem:
 -- local customization without editting non-config files

Version-Release number of selected component (if applicable):
 -- all

How Reproducible:
 -- N/A -- this is an RFE

-------------------------------------------

There are a couple of 'nits' which setup does -- the absence of
/sbin:/usr/sbin:/usr/local/sbin in every user's path is a matter of taste, but a
common choice to make.  Cu8rrently, one has to edit a non-config file,
/etc/profile, to properly modify this.  This breaks the rpm -V of 'setup'
package for admin purposes.

Proposed solution:

and and source a new config file: /etc/sysconfig/profile

in this fashion (in /etc/profile)

# Source profile configuration.
. /etc/sysconfig/profile

... and then later:

# Path manipulation
if [ `id -u` = 0 -o "$sbin" = "all" ]; then
        pathmunge /sbin
        pathmunge /usr/sbin
        pathmunge /usr/local/sbin
fi

===================================================

The '-o "$sbin" = "all"' is new.

The /etc/sysconfig/profile would contain:

# UNconnemt the next line to add the /sbin series to all users shells
# SBIN=all

==================================================

and characterise /etc/sysconfig/profile as a 'config' file in the .SPEC file for
building the setup RPM .  Viola -- the RFE change and RPM compliance
Comment 1 Miloslav Trmac 2002-07-10 18:18:59 EDT
You can simply add files to /etc/profile.d
Comment 2 R P Herrold 2002-07-10 20:27:48 EDT
As may be -- but not directly relevant to setup:

profile.d]$ pwd ; rpm -qf --qf '%{name}\n' `ls` | sort -u
/etc/profile.d
fileutils
initscripts
kdelibs
less
mc
which

... the /etc/sysconfig/ respository directory for SOURCED config files for
system settings is pretty well nailed at this point ...
Comment 3 Bill Nottingham 2004-09-23 01:36:48 EDT
I don't think we'll add this; profile.d should be enough.

Note You need to log in before you can comment on or make changes to this bug.